<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'producto';

		/* data for selected record, or defaults if none is selected */
		var data = {
			categoriaId: <?php echo json_encode(array('id' => $rdata['categoriaId'], 'value' => $rdata['categoriaId'], 'text' => $jdata['categoriaId'])); ?>,
			localId: <?php echo json_encode(array('id' => $rdata['localId'], 'value' => $rdata['localId'], 'text' => $jdata['localId'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for categoriaId */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'categoriaId' && d.id == data.categoriaId.id)
				return { results: [ data.categoriaId ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for localId */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'localId' && d.id == data.localId.id)
				return { results: [ data.localId ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

